forked from mirrors/nixpkgs
elasticsearch5: Remove package
It's EOL
This commit is contained in:
parent
0cce8856b2
commit
a870cad373
|
@ -1,44 +0,0 @@
|
|||
{ stdenv, fetchurl, elk5Version, makeWrapper, jre_headless
|
||||
, utillinux, gnugrep, coreutils }:
|
||||
|
||||
with stdenv.lib;
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
version = elk5Version;
|
||||
pname = "elasticsearch";
|
||||
|
||||
src = fetchurl {
|
||||
url = "https://artifacts.elastic.co/downloads/elasticsearch/${pname}-${version}.tar.gz";
|
||||
sha256 = "0zy7awb2cm2fk3c7zc7v8b8pl0jw49awqwpa1jvilmvx6dcml0vb";
|
||||
};
|
||||
|
||||
patches = [ ./es-home-5.x.patch ./es-classpath-5.x.patch ];
|
||||
|
||||
buildInputs = [ makeWrapper jre_headless utillinux ];
|
||||
|
||||
installPhase = ''
|
||||
mkdir -p $out
|
||||
cp -R bin config lib modules plugins $out
|
||||
|
||||
chmod -x $out/bin/*.*
|
||||
|
||||
wrapProgram $out/bin/elasticsearch \
|
||||
--prefix ES_CLASSPATH : "$out/lib/*" \
|
||||
--prefix PATH : "${makeBinPath [ utillinux gnugrep coreutils ]}" \
|
||||
--set JAVA_HOME "${jre_headless}" \
|
||||
--set ES_JVM_OPTIONS "$out/config/jvm.options"
|
||||
|
||||
wrapProgram $out/bin/elasticsearch-plugin \
|
||||
--prefix ES_CLASSPATH : "$out/lib/*" \
|
||||
--set JAVA_HOME "${jre_headless}"
|
||||
'';
|
||||
|
||||
meta = {
|
||||
description = "Open Source, Distributed, RESTful Search Engine";
|
||||
license = licenses.asl20;
|
||||
platforms = platforms.unix;
|
||||
maintainers = [
|
||||
maintainers.apeschar
|
||||
];
|
||||
};
|
||||
}
|
|
@ -1,43 +0,0 @@
|
|||
diff -rupN a/bin/elasticsearch b/bin/elasticsearch
|
||||
--- a/bin/elasticsearch 2017-05-17 10:53:49.444487071 +0200
|
||||
+++ b/bin/elasticsearch 2017-05-17 10:55:52.755081523 +0200
|
||||
@@ -129,12 +129,7 @@ ES_JAVA_OPTS="$(parse_jvm_options "$ES_J
|
||||
# If an include wasn't specified in the environment, then search for one...
|
||||
if [ "x$ES_INCLUDE" = "x" ]; then
|
||||
# Locations (in order) to use when searching for an include file.
|
||||
- for include in /usr/share/elasticsearch/elasticsearch.in.sh \
|
||||
- /usr/local/share/elasticsearch/elasticsearch.in.sh \
|
||||
- /opt/elasticsearch/elasticsearch.in.sh \
|
||||
- ~/.elasticsearch.in.sh \
|
||||
- "$ES_HOME/bin/elasticsearch.in.sh" \
|
||||
- "`dirname "$0"`"/elasticsearch.in.sh; do
|
||||
+ for include in "`dirname "$0"`"/elasticsearch.in.sh; do
|
||||
if [ -r "$include" ]; then
|
||||
. "$include"
|
||||
break
|
||||
diff -rupN a/bin/elasticsearch.in.sh b/bin/elasticsearch.in.sh
|
||||
--- a/bin/elasticsearch.in.sh 2017-04-28 19:41:47.000000000 +0200
|
||||
+++ b/bin/elasticsearch.in.sh 2017-05-17 10:56:49.303519788 +0200
|
||||
@@ -1,13 +1 @@
|
||||
#!/bin/bash
|
||||
-
|
||||
-# check in case a user was using this mechanism
|
||||
-if [ "x$ES_CLASSPATH" != "x" ]; then
|
||||
- cat >&2 << EOF
|
||||
-Error: Don't modify the classpath with ES_CLASSPATH. Best is to add
|
||||
-additional elements via the plugin mechanism, or if code must really be
|
||||
-added to the main classpath, add jars to lib/ (unsupported).
|
||||
-EOF
|
||||
- exit 1
|
||||
-fi
|
||||
-
|
||||
-ES_CLASSPATH="$ES_HOME/lib/*"
|
||||
diff -rupN a/bin/elasticsearch-plugin b/bin/elasticsearch-plugin
|
||||
--- a/bin/elasticsearch-plugin 2018-04-13 01:21:55.000000000 +0900
|
||||
+++ b/bin/elasticsearch-plugin 2018-06-28 19:08:54.700969245 +0900
|
||||
@@ -88,4 +88,4 @@ if [ -e "$CONF_DIR" ]; then
|
||||
path_props=("${path_props[@]}" -Des.path.conf="$CONF_DIR")
|
||||
fi
|
||||
|
||||
-exec "$JAVA" $ES_JAVA_OPTS -Delasticsearch "${path_props[@]}" -cp "$ES_HOME/lib/*" org.elasticsearch.plugins.PluginCli "${args[@]}"
|
||||
+exec "$JAVA" $ES_JAVA_OPTS -Delasticsearch "${path_props[@]}" -cp "$ES_CLASSPATH" org.elasticsearch.plugins.PluginCli "${args[@]}"
|
|
@ -1,31 +0,0 @@
|
|||
diff -rupN a/bin/elasticsearch b/bin/elasticsearch
|
||||
--- a/bin/elasticsearch 2017-05-17 10:53:42.214686741 +0200
|
||||
+++ b/bin/elasticsearch 2017-05-17 10:53:49.444487071 +0200
|
||||
@@ -105,7 +105,11 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
||||
diff -rupN a/bin/elasticsearch-plugin b/bin/elasticsearch-plugin
|
||||
--- a/bin/elasticsearch-plugin 2017-05-17 10:53:42.214686741 +0200
|
||||
+++ b/bin/elasticsearch-plugin 2017-05-17 10:53:49.445487044 +0200
|
||||
@@ -16,7 +16,10 @@ while [ -h "$SCRIPT" ] ; do
|
||||
done
|
||||
|
||||
# determine elasticsearch home
|
||||
-ES_HOME=`dirname "$SCRIPT"`/..
|
||||
+if [ -z "$ES_HOME" ]; then
|
||||
+ echo "You must set the ES_HOME var" >&2
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# make ELASTICSEARCH_HOME absolute
|
||||
ES_HOME=`cd "$ES_HOME"; pwd`
|
|
@ -2895,9 +2895,6 @@ in
|
|||
elk6Version = "6.7.2";
|
||||
elk7Version = "7.0.1";
|
||||
|
||||
elasticsearch5 = callPackage ../servers/search/elasticsearch/5.x.nix {
|
||||
utillinux = utillinuxMinimal;
|
||||
};
|
||||
elasticsearch6 = callPackage ../servers/search/elasticsearch/6.x.nix {
|
||||
utillinux = utillinuxMinimal;
|
||||
};
|
||||
|
@ -2920,9 +2917,6 @@ in
|
|||
elasticsearch = elasticsearch-oss;
|
||||
}
|
||||
);
|
||||
elasticsearch5Plugins = elasticsearchPlugins.override {
|
||||
elasticsearch = elasticsearch5;
|
||||
};
|
||||
elasticsearch6Plugins = elasticsearchPlugins.override {
|
||||
elasticsearch = elasticsearch6-oss;
|
||||
};
|
||||
|
|
Loading…
Reference in a new issue